    import QuillBinding from 'yjs/src/Bindings/QuillBinding.js'

public class | source

# QuillBinding

#### Extends:

Binding → QuillBinding

A Binding that binds a YText type to a Quill editor

#### Example:

      const quill = new Quill(document.createElement('div'))
      const type = y.define('quill', Y.Text)
      const binding = new Y.QuillBinding(quill, type)

## Constructor Summary

Public Constructor
public | constructor (textType: YText, quill: Quill) |

## Method Summary

Public Methods
public | destroy () |

## Inherited Summary

From class Binding
public | target : * |
public | type : * |
public | destroy () Remove all data observers (both from the type and th target). |

## Public Constructors

### public constructor(textType: YText, quill: Quill) source

#### Override:

Binding#constructor

#### Params:

Name | Type | Attribute | Description
textType | YText |  |
quill | Quill |  |

## Public Methods

### public destroy() source

Remove all data observers (both from the type and th target).

#### Override:

Binding#destroy